#### D.13.3.3 fullDimImages

Procedure from library `gitfan.lib` (see gitfan_lib).

Usage:
  fullDimImages(afaces, Q); afaces: list, Q: intmat

Purpose:
  Determines the a-faces (represented as intvecs) from the list afaces which have a full-dimensional projection with respect to Q.

Return:
  a list of intvecs

Example:

    LIB "gitfan.lib";
    ring R = 0,T(1..10),wp(1,1,1,1,1,1,1,1,1,1);
    ideal J =
    T(5)*T(10)-T(6)*T(9)+T(7)*T(8),
    T(1)*T(9)-T(2)*T(7)+T(4)*T(5),
    T(1)*T(8)-T(2)*T(6)+T(3)*T(5),
    T(1)*T(10)-T(3)*T(7)+T(4)*T(6),
    T(2)*T(10)-T(3)*T(9)+T(4)*T(8);
    intmat Q[5][10] =
    1, 1, 1, 1, 0, 0, 0, 0, 0, 0,
    1, 0, 0, 0, 1, 1, 1, 0, 0, 0,
    0, 1, 1, 0, 0, 0, -1, 1, 0, 0,
    0, 1, 0, 1, 0, -1, 0, 0, 1, 0,
    0, 0, 1, 1, -1, 0, 0, 0, 0, 1;
    list AF= afaces(J,nrows(Q));
    size(AF);
    ==> 81
    size(fullDimImages(AF,Q));
    ==> 36

User manual for Singular version 4.4.1, 2025, generated by texi2html.